Main Page Modules Data Structures File List Data Fields Globals Related Pages

# dldp_p Struct Reference

Discrete Logarithm Domain Parameters - Prime. More...

`#include <dldp.h>`

## Data Fields
mp32barrett | p
mp32barrett | q
mp32number | r
mp32number | g
mp32barrett | n

## Detailed Description

Discrete Logarithm Domain Parameters - Prime.

Standard definition where p = qr+1; in case where p=2q+1, r=2

In IEEE P1363 naming is p = rk+1

Hence, IEEE prime r = q and cofactor k = r

Make sure q is large enough to foil Pohlig-Hellman attacks See: "Handbook of Applied Cryptography", Chapter 3.6.4

g is either a generator of a subgroup of order q, or a generator of order n = (p-1)

Definition at line 51 of file dldp.h.

## Field Documentation

mp32number dldp_p::g

| Definition at line 56 of file dldp.h. Referenced by dldp_pCopy, dldp_pEqual, dldp_pFree, dldp_pgonGenerator_w, dldp_pgoqGenerator_w, dldp_pgoqMake, dldp_pInit, dldp_pPair, and dldp_pPublic.

mp32barrett dldp_p::n

| Definition at line 57 of file dldp.h. Referenced by dldp_pCopy, dldp_pFree, dldp_pgonMake, dldp_pgonMakeSafe, dldp_pgoqMake, dldp_pgoqMakeSafe, and dldp_pInit.

mp32barrett dldp_p::p

| Definition at line 53 of file dldp.h. Referenced by dldp_pCopy, dldp_pEqual, dldp_pFree, dldp_pgonGenerator, dldp_pgonGenerator_w, dldp_pgonMake, dldp_pgonMakeSafe, dldp_pgoqGenerator, dldp_pgoqGenerator_w, dldp_pgoqMake, dldp_pgoqMakeSafe, dldp_pInit, dldp_pPair, dldp_pPublic, dlpk_pgonValidate, dlpk_pgoqValidate, and dlsvdp_pDHSecret.

mp32barrett dldp_p::q

| Definition at line 54 of file dldp.h. Referenced by dldp_pCopy, dldp_pEqual, dldp_pFree, dldp_pgonGenerator_w, dldp_pgonMake, dldp_pgonMakeSafe, dldp_pgoqMake, dldp_pgoqMakeSafe, dldp_pInit, dldp_pPair, and dldp_pPrivate.

mp32number dldp_p::r

| Definition at line 55 of file dldp.h. Referenced by dldp_pCopy, dldp_pFree, dldp_pgonGenerator_w, dldp_pgonMake, dldp_pgonMakeSafe, dldp_pgoqGenerator_w, dldp_pgoqMake, dldp_pgoqMakeSafe, and dldp_pInit.

The documentation for this struct was generated from the following file:

- beecrypt/dldp.h